# Uses of Enum
org.apache.zookeeper.cli.CommandFactory.Command

Packages that use CommandFactory.Command
Package
Description
org.apache.zookeeper.cli

## Uses of CommandFactory.Command in org.apache.zookeeper.cli

Subclasses with type arguments of type CommandFactory.Command in org.apache.zookeeper.cli
Modifier and Type
Class
Description
`static enum`
`CommandFactory.Command`
All Cli Commands.
Methods in org.apache.zookeeper.cli that return CommandFactory.Command
Modifier and Type
Method
Description
`static CommandFactory.Command`
CommandFactory.Command.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CommandFactory.Command[]`
CommandFactory.Command.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.cli with parameters of type CommandFactory.Command
Modifier and Type
Method
Description
`static CliCommand`
CommandFactory.`getInstance(CommandFactory.Command command)`
Creates a new `CliCommand` instance.